Subject: Re: bug#78377: Cross-Compile - "src/make-prime-list: cannot execute: required file not found"

From: Collin Funk <[email-masked]>
Date: Fri, 16 May 2025 20:21:04 -0700

Hi Pádraig,

Pádraig Brady <[email-masked]> writes:

> Well given we also need to call gl_BUILD_CC perhaps the
> best way would be to have a separate build-cc gnulib module
> and have the crc module depend on that. I'm fine just depending
> on crc for now though, though I can see a build-cc gnulib module
> being generally useful.

Yeah, that sounds better. But since it seems Coreutils is the only one
using it I am not in a rush to do it. :)

> Talking about crc, given our crctab.c has expanded recently,
> it probably makes sense to generate that at build time also.

I can have a look at that. Seems fairly simple.

> The patch looks good, and I tested with:
> make BUILD_CC=clang BUILD_CFLAGS=-m32 V=1
>
> I'll apply later and squash the following in
> to avoid `make syntax-check` failures,
> and remove a stale entry from .gitignore.

Thanks! I forgot to run 'make syntax-check'.

Collin